import request from '@/utils/request'
import download from '@/utils/request';


// 获取员工列表
export function getUserList() {
  return request({
    url: '/knowledge/doMonitor/getPeoPleList',
    method: 'get',
    data: {}
  })
}
// 获取文件列表
export function getFileList() {
  return request({
    url: '/knowledge/doMonitor/getFileList',
    method: 'get',
    data: {}
  })
}

// 落库
export function creMonitor(param) {
  return request({
    url: '/knowledge/doMonitor/creMonitor',
    method: 'post',
    data: param
  })
}

// 查询角色列表
export function findAll(query) {
  return request({
    url: '/knowledge/doMonitor/findAll',
    method: 'post',
    data: query
  })
}
export function findTask(query) {
  return request({
    url: '/knowledge/doMonitor/findTask',
    method: 'post',
    data: query
  })
}

// 删除
export function deleteData(ids) {
  return request({
      url: '/knowledge/doMonitor/deleteMonitor',
      method: 'post',
      params:ids
  })
}


export function findOne(query) {
  return request({
    url: '/knowledge/doMonitor/findOne',
    method: 'get',
    params: query
  })
}
export function findOwn(query) {
  return request({
    url: '/knowledge/doMonitor/findOwn',
    method: 'get',
    params: query
  })
}

export function chgState(param) {
  return request({
    url: '/knowledge/doMonitor/changeState',
    method: 'post',
    data: param
  })
}
export function fillInfo(param) {
  return request({
    url: '/knowledge/doMonitor/fillInfo',
    method: 'post',
    data: param
  })
}

export function upReport(param) {
  return request({
    url: '/knowledge/doMonitor/upReport',
    method: 'post',
    params: param
  })
}





export function exportData(url, params, filename, config) {
  return download({
    url:url,
    params:null,
    filename:filename,
    config:null

  })
}

